C++11 ABI Compatibility for 4.8 and 4.9?

Jonathan Wakely jwakely.gcc@gmail.com
Mon Jan 27 10:18:00 GMT 2014


On 27 January 2014 10:09, Lars Hagström <lars@foldspace.nu> wrote:
> Hi,
>
> I've been trying to read up on the ABI compatibility between C++11 and
> C++03/98, and one of the pages that I've read is
> http://gcc.gnu.org/wiki/Cxx11AbiCompatibility
> This wiki page addresses GCC 4.7.

It's still relevant for 4.8 and 4.9

> I've read a comment on stackoverflow
> (http://stackoverflow.com/questions/13383124/g-std-c0x-and-compatibility)
> by Jonathan Wakely that some of these issues would change or be
> resolved in 4.8.
>
> Elsewhere I've read that 4.8 would introduce more breakages compared to 4.7.
>
> What is the status of these issues in 4.8 and 4.9? Is there any chance
> of someone in the know updating the wiki?

Apart from the items noted as only affecting 4.7.0 and 4.7.1,
everything there still applies.



More information about the Gcc-help mailing list